<?php

class med_deezerfree extends Module {
	
	public function __construct() {
		$this->name = 'med_deezerfree';
		$this->tab = version_compare(_PS_VERSION_, '1.4.0.0', '>=')?'front_office_features':'Mediacom87';
		$this->version = '1.0';
		$this->need_instance = 0;
		$this->author = 'Mediacom87';
		parent::__construct();
		$this->displayName = $this->l('Free Player Deezer');
		$this->description = $this->l('Free integration of Deezer player on your shop.');
		
		$this->affiliateurl = 'http://www.deezer.com/?app_id=123325';
	}
	
	function install()
	{
		if (!parent::install() 
			OR !$this->registerHook('home')
		)
			return false;
		return true;
	}
	
	function uninstall()
	{
		if (!Configuration::deleteByName('MED_DEEZER_LIST') OR !parent::uninstall())
			return false;
		return true;
	}

	public function getContent($tab = 'AdminModules')
	{
		global $currentIndex, $cookie;
		
		$token = Tools::getAdminToken($tab.(int)Tab::getIdFromClassName($tab).(int)$cookie->id_employee);
		$output = '<h2><img src="'.$this->_path.'logo.gif" alt="" /> '.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitdeezer'))
		{
			$deezerlist = Tools::getValue('deezerlist');
			
			if(Configuration::updateValue('MED_DEEZER_LIST', $deezerlist))
				Tools::redirectAdmin($currentIndex.'&modulename='.$this->name.'&configure='.$this->name.'&conf=6&token='.$token);
		}
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		global $cookie;
		
		return '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<p>'.$this->l('Above all things, subscribe to').' <a href="'.$this->affiliateurl.'" title="'.$this->l('Above all things, subscribe to').' DEEZER" target="_blank" style="color:orange"><b>DEEZER</b></a></p>
			<fieldset>
				<legend><a href="http://www.mediacom87.fr/?utm_source=module&utm_medium=cpc&utm_campaign='.$this->name.'"><img src="'.$this->_path.'logo.gif" alt="" /></a>'.$this->l('Settings').'</legend>
				
				<label><a href="'.$this->affiliateurl.'" target="_blank" title="'.$this->l('Deezer player solution - Create your account').'"><img src="'.$this->_path.'logo.png" alt="'.$this->l('Deezer').'" /></a></label>
				<div class="margin-form">'.$this->l('Playlist ID').' <input type="text" name="deezerlist" value="'.Configuration::get('MED_DEEZER_LIST').'" />
					<p>'.$this->l('To configure this module, after registering on').' <a href="'.$this->affiliateurl.'" title="'.$this->l('Above all things, subscribe to').' DEEZER" target="_blank" style="color:orange"><b>DEEZER</b></a></p>
					<p class="clear">'.$this->l('Enter your playlist ID located at the end of url into your browser when you click the Playlist on Deezer site.').'</p>
					<p class="clear">'.$this->l('If your URL is http://www.deezer.com/fr/playlist/3814787 your List ID is 3814787.').'</p>
					
					<p class="clear">'.$this->l('This module can be hook on:').'</p>
					<ul class="bullet">
						<li>'.$this->l('Homepage').'</li>
						<li>'.$this->l('Footer').'</li>
						<li>'.$this->l('Right Column').'</li>
						<li>'.$this->l('Left Column').'</li>
					</ul>
				</div>
				
				<center><input type="submit" name="submitdeezer" value="'.$this->l('Save').'" class="button" /></center>
			</fieldset>
		</form>
		
		<fieldset class="space">
				<legend><a href="https://www.paypal.com/fr/mrb/pal=LG5H4P9K8K6FC" target="_blank"><img src="'.$this->_path.'images/paypal-icon-16x16.png" alt="" /></a>'.$this->l('Donation').'</legend>
				<p><a href="http://www.mediacom87.fr/?utm_source=module&utm_medium=cpc&utm_campaign='.$this->name.'" target="_blank" title="'.$this->l('Mediacom87 WebAgency').'">'.$this->l('This module was developed and generously offered to the PrestaShop\'s community by Mediacom87 WebAgency specializing in supporting eCommerce.').'</a></p>
				<p><a href="http://www.mediacom87.fr/?utm_source=module&utm_medium=cpc&utm_campaign='.$this->name.'" target="_blank" title="'.$this->l('Mediacom87 WebAgency').'">'.$this->l('If you want to support the Mediacom87\'s process, you can do so by making a donation.').'</a></p>
				<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank" style="text-align:center">
				<input type="hidden" name="cmd" value="_s-xclick">
				<input type="hidden" name="hosted_button_id" value="VW53938WEVCFY">
				<input type="image" src="https://www.paypalobjects.com/fr_FR/FR/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - la solution de paiement en ligne la plus simple et la plus sécurisée !">
				<img alt="" border="0" src="https://www.paypalobjects.com/fr_FR/i/scr/pixel.gif" width="1" height="1">
				</form>	
		</fieldset>
		
		<fieldset class="space">
				<legend><img src="'.$this->_path.'images/google-icon-16x16.png" alt="" height="16" width="16" /> '.$this->l('Ads').'</legend>
				<p><a href="http://www.mediacom87.fr/?utm_source=module&utm_medium=cpc&utm_campaign='.$this->name.'" target="_blank" title="'.$this->l('Mediacom87 WebAgency').'">'.$this->l('You can also support our agency by clicking the advertising below').'.</a></p>
				<p style="text-align:center">
				<script async src="http://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
					<!-- Gratuit med_deezerfree 728x90 -->
					<ins class="adsbygoogle"
					     style="display:inline-block;width:728px;height:90px"
					     data-ad-client="ca-pub-1663608442612102"
					     data-ad-slot="5777460751"></ins>
					<script>
					(adsbygoogle = window.adsbygoogle || []).push({});
				</script>
				</p>
		</fieldset>
		';
	}

	function hookFooter($params)
	{
		global $smarty;
		if ($deezer = Configuration::get('MED_DEEZER_LIST'))
		{
			$smarty->assign(array('deezer' => $deezer));
			return $this->display(__FILE__, 'tpl/horizontal.tpl');
		}
	}

	function hookHeader($params)
	{
		return $this->hookFooter($params);
	}

	function hookLeftColumn($params)
	{
		global $smarty;
		if ($deezer = Configuration::get('MED_DEEZER_LIST'))
		{
			$smarty->assign(array('deezer' => $deezer));
			return $this->display(__FILE__, 'tpl/vertical.tpl');
		}
	}

	function hookRightColumn($params)
	{
		return $this->hookLeftColumn($params);
	}

	function hookHome($params)
	{
		global $smarty;
		if ($deezer = Configuration::get('MED_DEEZER_LIST'))
		{
			$smarty->assign(array('deezer' => $deezer));
			return $this->display(__FILE__, 'tpl/basic.tpl');
		}
	}
}

?>
